<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <h:body>
        <ui:composition template="../WEB-INF/template/Template.xhtml">

            <ui:define name="conteudo">


                <h:form>

                    <p:growl autoUpdate="true" id="growl" />
                    <p:fieldset legend="Cadastro Horário de Estabelecimento">
                        <p:messages id="msg" />

                        <p:panelGrid columns="2" >

                            <f:facet name="header" >

                                Dados do Estabelecimento

                            </f:facet>

                           
                            <p:outputLabel value="Nome" for="nome" />

                            <h:panelGroup>

                                <p:inputText id="nome" value="#{estabelecimentoBean.estabelecimento.nome}" required="true" />
                                <p:message for="nome" />
                            </h:panelGroup>

                            <p:outputLabel     for="horario_inicio" value="Horario_inicio" />
                            <p:calendar id="horario_inicio" value="#{estabelecimentoBean.estabelecimento.horario_inicio}"
                                        required="true" requiredMessage="Campo validade é obrigatorio!" />


                            <p:outputLabel for="horario_fim" value="Horario_Fim" />
                            <p:calendar id="horario_fim" value="#{estabelecimentoBean.estabelecimento.horario_fim}"
                                        required="true" requiredMessage="Campo validade é obrigatorio!" />


                            <h:panelGroup>

                                <h:commandButton value="Salvar" action="#{estabelecimentoBean.salvar()}" />
                                <h:commandButton value="Cancelar" action="#{estabelecimentoBean.novo()}" />

                            </h:panelGroup>

                            <h:dataTable var="estabelecimento" value="#{estabelecimentoBean.lista}">
                                <h:column>#{estabelecimento.id}</h:column>
                                <h:column></h:column>



                            </h:dataTable>

















                        </p:panelGrid>










                    </p:fieldset>































                </h:form>
























            </ui:define>  
















        </ui:composition>










    </h:body>
































</html>